Loading...
Searching...
No Matches
Opm::TransMult Class Reference

## Public Member Functions

| TransMult (const GridDims &dims, const Deck &deck, const FieldPropsManager &fp)
double | getMultiplier (size_t globalIndex, FaceDir::DirEnum faceDir) const
double | getMultiplier (size_t i, size_t j, size_t k, FaceDir::DirEnum faceDir) const
double | getRegionMultiplier (size_t globalCellIndex1, size_t globalCellIndex2, FaceDir::DirEnum faceDir) const
double | getRegionMultiplierNNC (std::size_t globalCellIndex1, std::size_t globalCellIndex2) const
void | applyMULT (const std::vector< double > &srcMultProp, FaceDir::DirEnum faceDir)
void | applyMULTFLT (const FaultCollection &faults)
void | applyMULTFLT (const Fault &fault)
void | applyNumericalAquifer (const std::vector< std::size_t > &aquifer_cells)
data::Solution | convertToSimProps (std::size_t active_cells, bool include_all_multminus) const
| Creates a solution object with all multipliers for output.
bool | operator== (const TransMult &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static TransMult | serializationTestObject ()

## Member Function Documentation

## convertToSimProps()

data::Solution Opm::TransMult::convertToSimProps | ( | std::size_t | active_cells,
|  | bool | include_all_multminus ) const

Creates a solution object with all multipliers for output.

Parameters

  active_cells | If the model has no multipliers then this number is used as the size of the array (containing 1) that are constructed in this case.
  include_all_multminus | If false only non-defaulted MULT?- arrays will included. Otherwise even defaulted ones.

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Grid/TransMult.hpp
- opm/input/eclipse/EclipseState/Grid/TransMult.cpp